#ifndef _PEAR_JCONF_H
#define _PEAR_JCONF_H

typedef struct {
    char *mtu;
    char *mptcp;
    char *nofile;
    char *shadowfog_mode;

    char *user;
    char *method;
    char *timeout;
    char *pid_path;
    char *password;
    char *shadowfog_user;
    char *list_ipset;
    char *local_addr;
    char *remote_dns;
    char *redir_port;
    char *tunnel_port;
    char *shadowfog_passwd;
    char *remote_port;
    char *remote_host;
    char *shadowfog_dnsurl;
    char *domain_file;
    char *shadowfog_dnsmasq;
} router_config_t;

router_config_t *shadowfog_json_read_conf(char *path);

#endif
