#ifndef _PEAR_MANAGER_H
#define _PEAR_MANAGER_H

void shadowfog_set_max_server();
void shadowfog_dump_stat (char * host);
void add_keep_channel_list(char *conf_file, int pid);
void shadowfog_send_delete_cmd (char * curl , char * host , char * method );
void shadowfog_random_run_servers(int number);
int  shadowfog_remove_server_from_scheduler();

unsigned long mbedtls_timing_hardclock( void );

void shadowfog_get_user();
void shadowfog_init();

int  shadowfog_balance_max_channel();
int  get_host_address_number();

#define  PEAR_SUPPORT_QNAP_PATH_ROOT   "/share/CACHEDEV1_DATA/.qpkg"
#define  PEAR_SUPPORT_QNAP_PATH        "/share/CACHEDEV1_DATA/.qpkg/shadowfog/shadowfog"

#define  PEAR_ENABLE_CHANGE_PASSWD  0 
#define  PERR_SERVRE_ERROR_NUMBER   (20)
#define  PEAR_TIMEOUT_DUMP_STATUS   60
#define  PEAR_TIMEOUT_SPEED_TEST    60*60*6
#define  PEAR_CURL_ENABLE_TSL       1

extern char *shadowfog_curl ;
extern char *shadowfog_host ;
extern char *working_dir;
extern char *shadowfog_host_address[];
extern char shadowfog_real_host_address[];

int shadowfog_is_delete_channel_valid();

#endif

